Package org.apache.commons.math3.geometry.enclosing

# Interface SupportBallGenerator<S extends Space,P extends Point<S>>

Type Parameters:
  `S` - Space type.
  `P` - Point type.

All Known Implementing Classes:
  `DiskGenerator`, `SphereGenerator`

public interface SupportBallGenerator<S extends Space,P extends Point<S>>
Interface for generating balls based on support points.

This generator is used in the `Emo Welzl` algorithm and its derivatives.

Since:
  3.3
See Also:
  - `EnclosingBall`

## Method Summary

Modifier and Type
Method
Description
`EnclosingBall<S,P>`
`ballOnSupport(List<P> support)`
Create a ball whose boundary lies on prescribed support points.

## Method Details

### ballOnSupport

EnclosingBall<S,P> ballOnSupport(List<P> support)
Create a ball whose boundary lies on prescribed support points.

Parameters:
  `support` - support points (may be empty)
Returns:
  ball whose boundary lies on the prescribed support points